digiKam Developer Documentation: Digikam::IccSettings Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | Static Public Member Functions | Friends | List of all members
Digikam::IccSettings Class Reference
Inheritance diagram for Digikam::IccSettings:

## Signals
void | signalICCSettingsChanged (const ICCSettingsContainer &current, const ICCSettingsContainer &previous)
void | signalSettingsChanged ()

## Public Member Functions
QList< IccProfile > | allProfiles ()
QList< IccProfile > | displayProfiles ()
| Get available profiles suitable as monitor/display profile.
QList< IccProfile > | inputProfiles ()
| Get available profiles suitable as input profile.
bool | isEnabled () const
| Returns if color management is enabled.
void | loadAllProfilesProperties ()
| IccProfile caches some of its properties (description, type) when it was read once.
IccProfile | monitorProfile (QWidget *const widget=nullptr)
| Returns the monitor profile (for color managed view).
bool | monitorProfileFromSystem () const
| Returns if the monitor profile (as returned by monitorProfile()) is set system-wide, so that the monitorProfile field of the current settings need not be set and will not be used by monitorProfile().
QList< IccProfile > | outputProfiles ()
| Get available profiles suitable as proof/output profiles.
QList< IccProfile > | profilesForDescription (const QString &description)
| Returns a list of profiles with the given description()
void | setIccPath (const QString &path)
void | setSettings (const ICCSettingsContainer &settings)
| Sets the current ICC settings and writes them to config.
ICCSettingsContainer | settings ()
| Returns the current ICC settings.
void | setUseManagedPreviews (bool useManagedPreviews)
void | setUseManagedView (bool useManagedView)
| Set single parts of the settings.
bool | useManagedPreviews () const
| Returns if color management for previews is enabled.
QList< IccProfile > | workspaceProfiles ()
| Get available profiles suitable as workspace profile.

## Static Public Member Functions
static IccSettings * | instance ()
| Global container for ICC settings.

## Friends
class | Private

## Member Function Documentation

## ◆ instance()

IccSettings * Digikam::IccSettings::instance | ( |  | ) |
| static

All accessor methods are thread-safe.

## ◆ loadAllProfilesProperties()

void Digikam::IccSettings::loadAllProfilesProperties | ( |  | ) |

Subsequently, to read these values no opening is needed. This ensures that all profiles have these values read. May imply scanning and opening all profiles.

## ◆ monitorProfile()

IccProfile Digikam::IccSettings::monitorProfile | ( | QWidget *const | widget = `nullptr` | ) |

If there are multiple screens, a system-wide settings specifies the monitor profile, and the widget parameter is passed, the returned profile is for the widget's screen. If no settings is specified, the default sRGB profile is returned.